Package groovy.lang

# Class Binding

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.lang.Binding

All Implemented Interfaces:
  `GroovyObject`

Direct Known Subclasses:
  `FactoryBuilderSupport`, `ServletBinding`

    public class Binding
    extends GroovyObjectSupport

Represents the variable bindings of a script which can be altered from outside the script object or created outside of a script and passed into it.

Binding instances are not supposed to be used in a multi-threaded context.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Binding()` |
  `Binding​(java.lang.String[] args)` | A helper constructor used in main(String[]) method calls
  `Binding​(java.util.Map variables)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `getProperty​(java.lang.String property)` | Overloaded to make variables appear as bean properties or via the subscript operator
  `java.lang.Object` | `getVariable​(java.lang.String name)` |
  `java.util.Map` | `getVariables()` |
  `boolean` | `hasVariable​(java.lang.String name)` | Simple check for whether the binding contains a particular variable or not.
  `void` | `removeVariable​(java.lang.String name)` | remove the variable with the specified name
  `void` | `setProperty​(java.lang.String property, java.lang.Object newValue)` | Overloaded to make variables appear as bean properties or via the subscript operator
  `void` | `setVariable​(java.lang.String name, java.lang.Object value)` | Sets the value of the given variable

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass, setMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod`

- ## Constructor Details

  - ### Binding

    public Binding()

  - ### Binding

    public Binding​(java.util.Map variables)

  - ### Binding

    public Binding​(java.lang.String[] args)
    A helper constructor used in main(String[]) method calls
    Parameters:
      `args` - are the command line arguments from a main()

- ## Method Details

  - ### getVariable

    public java.lang.Object getVariable​(java.lang.String name)
    Parameters:
      `name` - the name of the variable to lookup
    Returns:
      the variable value

  - ### setVariable

    public void setVariable​(java.lang.String name, java.lang.Object value)
    Sets the value of the given variable
    Parameters:
      `name` - the name of the variable to set
      `value` - the new value for the given variable

  - ### removeVariable

    public void removeVariable​(java.lang.String name)
    remove the variable with the specified name
    Parameters:
      `name` - the name of the variable to remove

  - ### hasVariable

    public boolean hasVariable​(java.lang.String name)
    Simple check for whether the binding contains a particular variable or not.
    Parameters:
      `name` - the name of the variable to check for

  - ### getVariables

    public java.util.Map getVariables()

  - ### getProperty

    public java.lang.Object getProperty​(java.lang.String property)
    Overloaded to make variables appear as bean properties or via the subscript operator
    Parameters:
      `property` - the name of the property of interest
    Returns:
      the given property

  - ### setProperty

    public void setProperty​(java.lang.String property, java.lang.Object newValue)
    Overloaded to make variables appear as bean properties or via the subscript operator
    Parameters:
      `property` - the name of the property of interest
      `newValue` - the new value for the property